Name:           libisds
Version:        0.2.1
Release:        1%{?dist}
Summary:        Library for accessing the Czech Data Boxes

Group:          System Environment/Libraries
License:        LGPLv3
URL:            http://xpisar.wz.cz/%{name}/
Source0:        http://xpisar.wz.cz/%{name}/dist/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxml2-devel, libcurl-devel, libgcrypt-devel, gpgme-devel
BuildRequires:  expat-devel >= 1.95.8, gnupg2
Requires:       gnupg2

%description
This is a library for accessing ISDS (Informační systém datových schránek
/ Data Box Information System) SOAP services as defined in Czech ISDS Act
(300/2008 Coll.) and implied documents.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}, pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --disable-static \
    --enable-test
make %{?_smp_mflags}

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
%find_lang %{name}
mv doc specification
rm -rf client/.deps

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS TODO COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/isds.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%doc client specification

%changelog
* Thu Apr 15 2010 Petr Pisar <ppisar@redhat.com> - 0.2.1-1
- New version 0.2.1 released by upstream

* Thu Feb 11 2010 Matěj Cepl <mcepl@redhat.com> - 0.1-2
- Fixing small issue with documentation for package review

* Tue Feb 09 2010 Matěj Cepl <mcepl@redhat.com> - 0.1-1
- Initial packaging effort
